summaryrefslogtreecommitdiffstats
path: root/test/454-get-vreg
diff options
context:
space:
mode:
authorSebastien Hertz <shertz@google.com>2015-02-24 17:39:50 +0100
committerSebastien Hertz <shertz@google.com>2015-07-09 11:23:13 +0200
commit5ee9454dfee08a70dec62b0ed0fd4ad274274937 (patch)
tree0d59bfc38f70c677d8ecd066618ed17dd838259b /test/454-get-vreg
parentc2bf1255ebf360d009dd0763dcea8d2c9b9c676e (diff)
downloadart-5ee9454dfee08a70dec62b0ed0fd4ad274274937.tar.gz
art-5ee9454dfee08a70dec62b0ed0fd4ad274274937.tar.bz2
art-5ee9454dfee08a70dec62b0ed0fd4ad274274937.zip
Support compiling run-tests with jack
This CL adds support to compile run-test source files with jack. When a test needs to rely on class files, we use jill to convert them to a jack library. We need to pass the full classpath to jack containing at least core classes (like java.lang.Object). This means the Android tree must have been compiled with jack first so we find all the necessary classes.jack files. Some tests still rely on dex files generated with the old toolchain. We keep building them this way for the moment and will update them later, when they get ready for Jack. Also updates a few tests dealing with garbage collection to avoid a situation where a reference can be retained by a local DEX register. Bug: 19467889 (cherry picked from commit 19ac0276208f0afef6ba8a4ab34b74a59b8d11d7) Change-Id: Ia5a989b83430ffe8298a869a1da970b756721bb0
Diffstat (limited to 'test/454-get-vreg')
-rw-r--r--test/454-get-vreg/build26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/454-get-vreg/build b/test/454-get-vreg/build
new file mode 100644
index 0000000000..08987b556c
--- /dev/null
+++ b/test/454-get-vreg/build
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Copyright (C) 2015 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Stop if something fails.
+set -e
+
+# The test relies on DEX file produced by javac+dx so keep building with them for now
+# (see b/19467889)
+mkdir classes
+${JAVAC} -d classes `find src -name '*.java'`
+${DX} -JXmx256m --debug --dex --dump-to=classes.lst --output=classes.dex \
+ --dump-width=1000 ${DX_FLAGS} classes
+zip $TEST_NAME.jar classes.dex